
package de.ivu.elect.presentation.entschaedigung.action;

import javax.inject.Named;

import de.ivu.elect.business.entschaedigung.entity.Auszahlung;
import de.ivu.elect.business.entschaedigung.entity.EntschaedigungConstants;
import de.ivu.elect.business.security.UseCasePermission;
import de.ivu.elect.presentation.entschaedigung.EntschaedigungInAuszahlungSearchView;

@Named(AuszahlungEntschaedigungAnzeigenAction.COMPONENT_NAME)
public class AuszahlungEntschaedigungAnzeigenAction extends AbstractAuszahlungAction {

  private static final long serialVersionUID = 1L;

  public static final String COMPONENT_NAME = "auszahlungEntschaedigungAnzeigenAction";

  public AuszahlungEntschaedigungAnzeigenAction() {
    super();
  }

  @Override
  protected UseCasePermission getRequiredPermission() {
    return UseCasePermission.ENTSCHAEDIGUNG_SEARCH;
  }

  @Override
  protected String doIt(Auszahlung auszahlung) {
    auszahlungSelect.setEntity(auszahlung);

    return EntschaedigungInAuszahlungSearchView.VIEW_ID;
  }

  @Override
  protected String getLocalizedLabel() {
    return getMessage(getLabelKey(), getMessage(EntschaedigungConstants.MESSAGE_KEY_ENTITY_MEHRZAHL));
  }

  @Override
  public String getLabelKey() {
    return "entity.search.menu.item.label";
  }

  @Override
  public String getIcon() {
    return appIcons.getIconPerson();
  }
}
